XSLTFeature (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.feature.transform, class: XSLTFeature

Package org.apache.cxf.feature.transform

# Class XSLTFeature

java.lang.Object
jakarta.xml.ws.WebServiceFeature
org.apache.cxf.feature.AbstractFeature
org.apache.cxf.feature.DelegatingFeature<XSLTFeature.Portable>
org.apache.cxf.feature.transform.XSLTFeature

All Implemented Interfaces:
  `AbstractPortableFeature`, `Feature`

public class XSLTFeature extends DelegatingFeature<XSLTFeature.Portable>
This class defines a feature is used to transform message using XSLT script. If this feature is present and inXSLTPath/outXLSTPath are initialised, client and endpoint will transform incoming and outgoing messages correspondingly. Attention: actually the feature breaks streaming (can be fixed in further versions when XSLT engine supports XML stream).

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `XSLTFeature.Portable`

- ## Field Summary

  ### Fields inherited from class org.apache.cxf.feature.DelegatingFeature

  `delegate`

  ### Fields inherited from class jakarta.xml.ws.WebServiceFeature

  `enabled`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XSLTFeature()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setInXSLTPath(String inXSLTPath)`
  `void`
  `setOutXSLTPath(String outXSLTPath)`

  ### Methods inherited from class org.apache.cxf.feature.DelegatingFeature

  `getDelegate, initialize, initialize, initialize, initialize, initializeProvider, setDelegate`

  ### Methods inherited from class org.apache.cxf.feature.AbstractFeature

  `doInitializeProvider, getActive, getID, isEnabled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XSLTFeature

    public XSLTFeature()

- ## Method Details

  - ### setInXSLTPath

    public void setInXSLTPath(String inXSLTPath)

  - ### setOutXSLTPath

    public void setOutXSLTPath(String outXSLTPath)